import { IMetadata, Metadata } from "./Metadata";
export interface IFile extends IMetadata {
    CheckInComment: string;
    CheckOutType: number;
    ContentTag: string;
    CustomizedPageStatus: number;
    ETag: string;
    Exists: boolean;
    IrmEnabled: boolean;
    Length: number;
    Level: number;
    LinkingUrl: string;
    MajorVersion: number;
    MinorVersion: number;
    Name: string;
    ServerRelativeUrl: string;
    TimeCreated: Date;
    TimeLastModified: Date;
    Title: string;
    UIVersion: number;
    UIVersionLabel: string;
    UniqueId: string;
}
export declare class File extends Metadata implements IFile {
    CheckInComment: string;
    CheckOutType: number;
    ContentTag: string;
    CustomizedPageStatus: number;
    ETag: string;
    Exists: boolean;
    IrmEnabled: boolean;
    Length: number;
    Level: number;
    LinkingUrl: string;
    MajorVersion: number;
    MinorVersion: number;
    Name: string;
    ServerRelativeUrl: string;
    TimeCreated: Date;
    TimeLastModified: Date;
    Title: string;
    UIVersion: number;
    UIVersionLabel: string;
    UniqueId: string;
    constructor();
}
