import { Metadata, IMetadata } from "./Metadata";
import { IWebInformation } from "./WebInformation";
import { IChangeToken } from "./ChangeToken";
export interface IWeb extends IMetadata {
    ParentWeb: IWebInformation;
    AllowRssFeeds: boolean;
    AlternateCssUrl: string;
    AppInstanceId: string;
    Configuration: number;
    Created: Date;
    CurrentChangeToken: IChangeToken;
    CustomMasterUrl: string;
    Description: string;
    DocumentLibraryCalloutOfficeWebAppPreviewersDisabled: boolean;
    EnableMinimalDownload: boolean;
    Id: string;
    IsMultilingual: boolean;
    Language: number;
    LastItemModifiedDate: Date;
    LastItemUserModifiedDate: Date;
    MasterUrl: string;
    NoCrawl: boolean;
    OverwriteTranslationsOnChange: boolean;
    QuickLaunchEnabled: boolean;
    RecycleBinEnabled: boolean;
    ServerRelativeUrl: string;
    SiteLogoUrl: string;
    SyndicationEnabled: boolean;
    Title: string;
    TreeViewEnabled: boolean;
    UIVersion: number;
    UIVersionConfigurationEnabled: boolean;
    Url: string;
    WebTemplate: string;
}
export declare class Web extends Metadata implements IWeb {
    ParentWeb: IWebInformation;
    AllowRssFeeds: boolean;
    AlternateCssUrl: string;
    AppInstanceId: string;
    Configuration: number;
    Created: Date;
    CurrentChangeToken: IChangeToken;
    CustomMasterUrl: string;
    Description: string;
    DocumentLibraryCalloutOfficeWebAppPreviewersDisabled: boolean;
    EnableMinimalDownload: boolean;
    Id: string;
    IsMultilingual: boolean;
    Language: number;
    LastItemModifiedDate: Date;
    LastItemUserModifiedDate: Date;
    MasterUrl: string;
    NoCrawl: boolean;
    OverwriteTranslationsOnChange: boolean;
    QuickLaunchEnabled: boolean;
    RecycleBinEnabled: boolean;
    ServerRelativeUrl: string;
    SiteLogoUrl: string;
    SyndicationEnabled: boolean;
    Title: string;
    TreeViewEnabled: boolean;
    UIVersion: number;
    UIVersionConfigurationEnabled: boolean;
    Url: string;
    WebTemplate: string;
    constructor();
}
