import { Metadata, IMetadata } from "./Metadata";
export interface IWebInformation extends IMetadata {
    Configuration: number;
    Created: Date;
    Description: string;
    Id: string;
    Language: number;
    LastItemModifiedDate: Date;
    ServerRelativeUrl: string;
    Title: string;
    WebTemplate: string;
    WebTemplateId: number;
}
export declare class WebInformation extends Metadata implements IWebInformation {
    Configuration: number;
    Created: Date;
    Description: string;
    Id: string;
    Language: number;
    LastItemModifiedDate: Date;
    ServerRelativeUrl: string;
    Title: string;
    WebTemplate: string;
    WebTemplateId: number;
    constructor();
}
