import { Metadata, IMetadata } from "./Metadata";
import { User } from "./User";
import { IRoleDefinition } from "./RoleDefinition";
export interface IRoleAssignment extends IMetadata {
    Member: User;
    PrincipalId: number;
    RoleDefinitionBindings: Array<IRoleDefinition>;
}
export declare class RoleAssignment extends Metadata implements IRoleAssignment {
    Member: User;
    PrincipalId: number;
    RoleDefinitionBindings: Array<IRoleDefinition>;
    constructor();
}
