import { IBasePermissions } from "@pnp/sp/presets/all";
import { Metadata, IMetadata } from "./Metadata";
export interface IRoleDefinition extends IMetadata {
    BasePermissions: IBasePermissions;
    Description: string;
    Hidden: boolean;
    Id: number;
    Name: string;
    Order: number;
    RoleTypeKind: number;
}
export declare class RoleDefinition extends Metadata implements IRoleDefinition {
    BasePermissions: IBasePermissions;
    Description: string;
    Hidden: boolean;
    Id: number;
    Name: string;
    Order: number;
    RoleTypeKind: number;
    constructor();
}
